%global __os_install_post %{nil}
Name:           xh
Version:        0.22.2
Release:        1%{?dist}
Summary:        A friendly and fast tool for sending HTTP requests. It reimplements as much as possible of HTTPie's excellent design, with a focus on improved performance.
License:        MIT
URL:            https://github.com/ducaale/xh/
Source:         xh-0.22.2.tar.gz
Source1:        xh-0.22.2-vendor.tar.bz2
BuildRequires:  rust-packaging >= 23

%description
A friendly and fast tool for sending HTTP requests. It reimplements as much as possible of HTTPie's excellent design, with a focus on improved performance.

%prep
%autosetup -p1 -a1 -n xh-%{version}
%cargo_prep -v ./vendor

%build
%cargo_build

%install
%cargo_install

%files
%{_bindir}/xh

%license LICENSE
%doc README.md

%changelog
* Mon Jul 29 2024 xiaoyunzhao <xiaoyunzhao@tencent.com> - 0.22.2-1
- Initial xh
